## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_name br.app.pw3270

Name:           pw3270
Version:        5.5.0
Release:        %autorelease
Summary:        IBM 3270 Terminal emulator for GTK

License:        LGPL-3.0-only
URL:            https://github.com/PerryWerneck/pw3270
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  python3-scour

BuildRequires:  gettext-devel
BuildRequires:  libv3270-devel

Requires:       hicolor-icon-theme
Suggests:       font(ibm3270)

%description
GTK-based IBM 3270 terminal emulator with many advanced features. It can be
used to communicate with any IBM host that supports 3270-style connections
over TELNET.

Based on the original x3270 code, pw3270 was originally created for Banco do
Brasil, and is now used worldwide.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

mkdir -p %{buildroot}%{_libdir}/%{name}/5.5/plugins/

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_name}.metainfo.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{app_name}.desktop

%files -f %{name}.lang
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{name}
%dir %{_libdir}/%{name}/5.5/plugins/
%{_datadir}/%{name}/*
%{_datadir}/applications/%{app_name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{app_name}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{app_name}-symbolic.svg
%{_metainfodir}/%{app_name}.metainfo.xml
%{_datadir}/glib-2.0/schemas/%{name}*.gschema.xml
%{_datadir}/mime/packages/%{name}.xml

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 02 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 5.5.0-1
- Update to 5.5.0; Fixes: RHBZ#2162562

* Fri Jul  26 2024 Miroslav Suchý <msuchy@redhat.com> - 5.4-10
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 23 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.4-1
- New upstream release
- Update URL
- Backport upstream metainfo fix
- Add suggests for ibm3270 font

* Thu Mar 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-3
- Update build requires
- Convert from appdata to metainfo

* Sat Mar 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-2
- Do not remove buildroot on install
- Make build output more verbose
- Ensure build flags are applied

* Wed Mar  3 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-1
- Initial package

## END: Generated by rpmautospec
